PETSc version 3.15.5
Fix/Edit manual page

# PCGAMGSetRankReductionFactors

Set manual schedual for process reduction on coarse grids

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetRankReductionFactors(PC pc, PetscInt v[], PetscInt n)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| v | - array of reduction factors. 0 for fist value forces a reduction to one process/device on first level in Cuda
| n | - number of values provided in array

### Options Database Key

| -pc_gamg_rank_reduction_factors <factors>

### See Also

PCGAMGSetProcEqLim(), PCGAMGSetCoarseEqLim()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetRankReductionFactors_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages